package main

import (
	"mongo.games.com/goserver/core"
	"mongo.games.com/goserver/core/module"

	_ "games.yol.com/win88"
	_ "mongo.games.com/game/common"
	_ "mongo.games.com/game/robot/base"
	_ "mongo.games.com/game/robot/chess"
	_ "mongo.games.com/game/robot/thirteen"
	_ "mongo.games.com/game/robot/tienlen"
	_ "mongo.games.com/game/srvdata"
)

func main() {
	defer core.ClosePackages()
	core.LoadPackages("config.json")

	waiter := module.Start()
	waiter.Wait("main()")
}
